import java.awt.*;
import java.applet.*;
import java.lang.*;

class AngleCanvas extends Canvas{
	Antenna ant;
	Rectangle r;
	PhiControls phicon;
	private static final Color bgcolor = new Color(236,236,221);
	public double phi;

	AngleCanvas(Antenna ant){
		super();
		this.ant=ant;
		setBackground(Color.cyan);
	}
	public void paint(Graphics g){
		
		g.setColor(Color.cyan);
		g.fillRect(25,0,80,20);
		g.setColor(Color.black);
		g.drawString("\u03c6  = "+(int)(phi)+" \u00ba",35,15); 			
		
	}
	
	public void jrupdate(){
		Graphics g = getGraphics();
		g.setColor(Color.cyan);
		g.fillRect(25,0,80,20);
		g.setColor(Color.black);
		
		g.drawString("\u03c6  = "+(int)(phi)+" \u00ba",35,15);
		g.dispose();
	}
	
	public void redraw(){
		repaint();
	}
}


